<?php
//indique que le type de la réponse renvoyée au client sera du Texte
header("Content-Type: text/xml ; charset=utf-8");
//anti Cache pour HTTP/1.1
header("Cache-Control: no-cache , private");
//anti Cache pour HTTP/1.0
header("Pragma: no-cache");
//simulation du  temps d'attente du serveur (2 secondes)
sleep(2);
//recuperation du parametre nom
if(isset($_REQUEST['nom'])) $nom=$_REQUEST['nom'];
else $nom="inconnu";
//calcul du nouveau gain entre 0 et 100 Euros
$gain =  rand(0,100);
//mise en forme XML du résultat 
$resultat='<?xml version="1.0" encoding="utf-8"?>';
$resultat.="<resultats><nom>".$nom."</nom><gain>".$gain."</gain></resultats>";
//envoi de la réponse à la page HTML
echo $resultat ;
?>